<p>
    <text style="color:darkred">Slijedi nam i prvi zadatak.</text>
</p>

<hr>
<div class="mlQuestionText">
    <p>
        Uporabom bistabila <b>T</b> i minimalnim kombinacijskim sklopovljem, ostvarite bistabil <b>JK</b> (slika 1
        opisuje početnu shemu). Ako želite, probajte sami riješiti zadatak, a zatim pogledati rješenje.
    </p>
</div>

<div align="center">
    <figure class="mlFigure">
        <img src="@#file#(schemaTask.svg)" alt="Schema za ostvarivanje JK-bistabila.">
        <figcaption>
            <span class="mlFigKey">Slika 1.</span>
            Početna shema zadatka.
        </figcaption>
    </figure>
</div>
<hr>

<p>
    Pa krenimo. Na prethodnoj shemi mogli ste vidjeli da nam nedostaje jedan dio. Taj dio naznačen je malim oblačićem s
    upitnikom. Kako bi ostvarili bistabil <b>JK</b> uporabom bistabila <b>T</b>, trebat će nam neka kombinacijska logika
    na mjestu oblačića. Pogledajmo o čemu se radi.
</p>

<p>
    Ovaj zadatak riješit ćemo u par koraka. Prvi korak je da napišemo tablicu promjene stanja traženog bistabila.
    Traženi je bistabil, bistabil <b>JK</b>. Slijedi tablica u nastavku.
</p>

<div class="mlTableCaption"><span class="mlTblKey">Tablica 1.</span> Tablica promjene stanja <b>bistabila JK</b>.</div>
<div align="center">
    <table class="mlTableCC mlTableVR2">
        <thead>
        <tr>
            <th>\(J\)</th>
            <th>\(K\)</th>
            <th>\(Q_{n+1}\)</th>
        </tr>
        </thead>

        <tbody>
        <tr>
            <td>0</td>
            <td>0</td>
            <td>\(Q_{n}\)</td>
        </tr>

        <tr>
            <td>0</td>
            <td>1</td>
            <td>0</td>
        </tr>

        <tr>
            <td>1</td>
            <td>0</td>
            <td>1</td>
        </tr>
        <tr>
            <td>1</td>
            <td>1</td>
            <td>\(\overline{Q_n}\)</td>
        </tr>
        </tbody>
    </table>
</div>
<hr>

<p>
    Ova tablica bi Vam do sada trebala biti poznata, pa ju nećemo zasebno objašnjavati.
</p>
<p>
    Sljedeći korak je da napišemo tablicu promjene stanja danog bistabila. U našem zadatku to je bistabil <b>T</b>.
    Slijedi i njegova tablica.
</p>

<div class="mlTableCaption"><span class="mlTblKey">Tablica 2.</span> Tablica promjene stanja <b>bistabila T</b>.</div>

<div align="center">
    <table class="mlTableCC mlTableVR2">
        <thead>
        <tr>
            <th>\(T\)</th>
            <th>\(Q_{n+1}\)</th>
        </tr>
        </thead>

        <tbody>
        <tr>
            <td>0</td>
            <td>\(Q_n\)</td>
        </tr>

        <tr>
            <td>1</td>
            <td>\(\overline{Q_n}\)</td>
        </tr>
        </tbody>
    </table>
</div>
<hr>

<p>
    Sada nam slijedi i najvažniji dio. Potrebno je proširiti tablicu promjene stanja bistabila <b>JK</b>, tako da
    uvrstimo i dodatni stupac, koji predstavlja ulaz <b>T</b>. Tablica je dana u nastavku.
</p>
<div class="mlTableCaption"><span class="mlTblKey">Tablica 3.</span> Proširena tablica promjene stanja.</div>
<div align="center">
    <table class="mlTableCC mlTableVR2 mlTableVRl2d">
        <tr>
            <th>\(Q_n\)</th>
            <th>\(J\)</th>
            <th>\(K\)</th>
            <th>\(Q_{n+1}\)</th>
            <th>T</th>
        </tr>
        <tr>
            <td>0</td>
            <td>0</td>
            <td>0</td>
            <td>0</td>
            <td>0</td>
        </tr>
        <tr>
            <td>0</td>
            <td>0</td>
            <td>1</td>
            <td>0</td>
            <td>0</td>
        </tr>
        <tr>
            <td>0</td>
            <td>1</td>
            <td>0</td>
            <td>1</td>
            <td>1</td>
        </tr>
        <tr>
            <td>0</td>
            <td>1</td>
            <td>1</td>
            <td>1</td>
            <td>1</td>
        </tr>
        <tr>
            <td>1</td>
            <td>0</td>
            <td>0</td>
            <td>1</td>
            <td>0</td>
        </tr>
        <tr>
            <td>1</td>
            <td>0</td>
            <td>1</td>
            <td>0</td>
            <td>1</td>
        </tr>
        <tr>
            <td>1</td>
            <td>1</td>
            <td>0</td>
            <td>1</td>
            <td>0</td>
        </tr>
        <tr>
            <td>1</td>
            <td>1</td>
            <td>1</td>
            <td>0</td>
            <td>1</td>
        </tr>
    </table>
</div>

<p style="color:darkred"><b>Kako smo popunili tablicu?</b></p>
<p>
    Da bismo ispravno popunili pojedini redak tablice, moramo razmisliti o sljedećem: <br><br>
    Imamo bistabil <b>JK</b>, njegovo trenutno stanje dano je u prvom stupcu prethodne tablice. Isto tako, znamo i koje
    nam je sljedeće stanje potrebno da bi za odgovarajuću pobudu na ulazima <b>J</b> i <b>K</b> dobili odgovarajuć
    izlaz. Preostaje nam još odlučiti se što treba dovesti na ulaz <b>T</b> (bistabila <b>T</b>), kako bi ostvarili
    upravo takvu promjenu. Pogledajmo par primjera. <br><br>

    U prvom retku tablice 3, trenutno je stanje <b>0</b> i za pobudu <b>J</b> = 0 i <b>K</b> = 0, sljedeće stanje mora
    biti <b>0</b>. Imajući na umu tablicu promjene stanja bistabila <b>T</b>, pitamo se koju vrijednost treba dovesti na
    ulaz <b>T</b>, kako bi sljedeće stanje bilo upravo <b>0</b>. Pogledamo li u tablicu promjenu stanja bistabila
    <b>T</b>, vidimo da je to za <b>T</b> = 0. I zaista, u prvom redu, zadnjem stupcu piše <b>0</b>. <br><br>

    Slično možemo vidjeti i za treći redak ove tablice. Trenutno stanje je nula, a za kombinaciju <b>J</b> = 1 i
    <b>K</b> = 0, bistabil mora promijeniti stanje u <b>1</b>. Da bi postavili bistabil JK, na ulaz <b>T</b> moramo
    dovesti vrijednost <b>1</b>. Bistabil <b>T</b> će za vrijednost <b>1</b> na ulazu promijeniti trenutno stanje, što
    smo i htjeli.
    Na sličan način popunimo i ostatak tablice.
</p>

<p> Sada treba pronaći logički izraz koji opisuje <b>T</b> kao funkciju od \(Q_n\), \(J\) i \(K\). Iz proširene tablice
    3, možemo pročitati funkciju kao sumu minterma:
    \[
    T(Q_n,J,K) = \sum m(2,3,5,7)
    \]
    Izraz možemo minimizirati pa dobijemo:
    \[
    T = J \cdot \overline{Q_n} + K \cdot Q_n
    \]
</p>

<p>
    Na sljedećoj demonstraciji imamo i konačnu simulaciju ovako ostvarenog bistabila <b>JK</b>. Oblačić smo zamijenili
    potrebnom kombinacijskom logikom prema gornjem izrazu.
</p>
<hr>
<div>
    <p align="center">
        <canvas id="taskSim" width="900px" height="500px"></canvas>
    </p>
</div>

<p>
    Isprobajte gornju simulaciju i uvjerite se da radi kao bistabil <b>JK</b>. Desnim klikom unutar pravokutnika ove
    simulacije možete izaći iz implementacije i koristiti ovaj bistabil bez brige o samoj implementaciji.
</p>

<p>
    <text style="color:darkred">Na sljedećoj stranici nalazi se i sažetak za prethodne dvije lekcije o bistabilima.
    </text>
</p>


<hr>
<script>
    /*@#page-include#(library.js)*/
    /*@#page-include#(task1.js)*/
</script>